dependencyManagement {
  versions {
    poiVersion: "4.1.2"
  }
  dependencies: [
    "com.xebialabs.deployit:test-data:$xlDeployVersion"
    "org.scala-graph:graph-constrained_${scalaVersion}:1.13.2"
    {
      group: "com.xebialabs.deployit.ascode"
      version: "$xlDeployVersion"
      artifacts: [
        "xld-devops-as-code"
      ]
    }
    {
      group: "org.apache.poi"
      version: "$poiVersion"
      artifacts: [
        "poi-ooxml"
        "poi"
      ]
    }
    {
      group: "com.xebialabs.deployit"
      version: "$xlDeployVersion"
      artifacts: [
        "server-api"
        "server-api-impl"
      ]
    }
  ]

  blacklist: [
    "com.typesafe.akka:akka-persistence-experimental_${scalaVersion}"
    "com.typesafe.akka:akka-stream-experimental_${scalaVersion}"
    "com.sun.xml.bind:jaxb-impl"
    "com.sun.xml.stream:sjsxp"
    "org.slf4j:slf4j-jdk14"
    "org.slf4j:slf4j-nop"
  ]
}
